Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging
Class XATopicConnectionFactory

    java.lang.Object
      com.sun.messaging.AdministeredObject
          com.sun.messaging.BasicConnectionFactory
              com.sun.messaging.ConnectionFactory
                  com.sun.messaging.XAConnectionFactory
                      com.sun.messaging.XATopicConnectionFactory

All Implemented Interfaces:
  Serializable, ConnectionFactory, TopicConnectionFactory, XAConnectionFactory, XATopicConnectionFactory, Referenceable

    public class XATopicConnectionFactory

extends XAConnectionFactory
implements TopicConnectionFactory, XATopicConnectionFactory

An `XATopicConnectionFactory` is used to create XATopicConnections with a Java Message Service (JMS) Publish/Subscribe (Pub/Sub) provider.

See Also:
  `javax.jms.XATopicConnectionFactory`, Serialized Form

Field Summary

Fields inherited from class com.sun.messaging.AdministeredObject
`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

Constructor Summary
`XATopicConnectionFactory()`

Method Summary

Methods inherited from class com.sun.messaging.XAConnectionFactory
`createXAConnection, createXAConnection, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection`

Methods inherited from class com.sun.messaging.ConnectionFactory
`createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

Methods inherited from class com.sun.messaging.BasicConnectionFactory
`createConnection, createConnection, getConnectionType, setConnectionType, setDefaultConfiguration, toString`

Methods inherited from class com.sun.messaging.AdministeredObject
`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.XATopicConnectionFactory
`createXATopicConnection, createXATopicConnection`

Methods inherited from interface javax.jms.XAConnectionFactory
`createXAConnection, createXAConnection`

Constructor Detail

### XATopicConnectionFactory

    public XATopicConnectionFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.